// @flow

import React from 'react'
import cn from 'classnames'

/*
 * This component only use for preview storybook
 */

const Wrapper = ({
  title,
  children,
  className,
}: {
  title: string,
  children?: any,
  className?: string,
}) => (
  <div
    data-component="Wrapper"
    className={cn('pa3 ba b--light-gray', className)}
  >
    <div className="heading pa2 mb3">{title}</div>
    {children}
  </div>
)

Wrapper.defaultProps = {
  children: null,
  className: undefined,
}

export default Wrapper
